"use strict";

var constants = require("../constants");

function postAppEvent(type, data, app, auth, stage) {
  fetch(constants.LAMBDA_SERVICES_URL + "/" + (stage || "staging") + "/app-event", {
    method: "POST",
    body: JSON.stringify({
      event: {
        type: type,
        data: data
      },
      app: app,
      auth: auth
    })
  });
}

module.exports = postAppEvent;