"use strict";

module.exports = {
  APP_PROTOCOL_VERSION: "2.0.0",
  LAMBDA_SERVICES_URL_STAGING: "https://apps-services.staging.screencloudapp.com",
  LAMBDA_SERVICES_URL_PRODUCTION: "https://apps-services.screencloudapp.com",

  /**
   * APP_COMMANDS
   */
  APP_ERROR: "APP_ERROR",
  APP_LOG: "APP_LOG",
  USERDATA_CALLBACK: "USERDATA_CALLBACK",

  /**
   * APP_EVENTS
   */
  APP_CONNECT_SUCCEDED: "APP_CONNECT_SUCCEEDED",
  APP_CONNECT_FAILED: "APP_CONNECT_FAILED",
  APP_LOAD_SUCCEEDED: "APP_LOAD_SUCCEEDED",
  APP_LOAD_FAILED: "APP_LOAD_FAILED",
  APP_PLAY_SUCCEEDED: "APP_PLAY_SUCCEEDED",
  APP_PLAY_FAILED: "APP_PLAY_FAILED",
  APP_PAUSE_SUCCEEDED: "APP_PAUSE_SUCCEEDED",
  APP_PAUSE_FAILED: "APP_PAUSE_FAILED",
  APP_STOP_SUCCEEDED: "APP_STOP_SUCCEEDED",
  APP_STOP_FAILED: "APP_STOP_FAILED",
  APP_DISCONNECT_SUCCEEDED: "APP_DISCONNECT_SUCCEEDED",
  APP_DISCONNECT_FAILED: "APP_DISCONNECT_FAILED",
  RESOURCE_FETCH_SUCCEEDED: "RESOURCE_FETCH_SUCCEEDED",
  RESOURCE_FETCH_FAILED: "RESOURCE_FETCH_FAILED",
  DATA_FETCH_SUCCEEDED: "DATA_FETCH_SUCCEEDED",
  DATA_FETCH_FAILED: "DATA_FETCH_FAILED",
  WS_CONNECTION_SUCCEEDED: "WS_CONNECTION_SUCCEEDED",
  WS_CONNECTION_FAILED: "WS_CONNECTION_FAILED",

  /**
   * CONTAINER_COMMANDS
   */
  APP_CONNECT: "APP_CONNECT",
  APP_LOAD: "APP_LOAD",
  APP_PLAY: "APP_PLAY",
  APP_PAUSE: "APP_PAUSE",
  APP_STOP: "APP_STOP",
  APP_DISCONNECT: "APP_DISCONNECT",

  /**
   * Old Commands/Events
   */
  APP_EVENT_PRELOADED: "preloaded",
  APP_EVENT_STARTED: "started",
  APP_EVENT_FINISHED: "finished",
  APP_CALLBACK_SUCCESS: "success",
  APP_INCOMING_COMMAND_START: "start",
  APP_INCOMING_COMMAND_FINISH: "finish",
  APP_INCOMING_COMMAND_USERDATA: "user_data"
};