"use strict";

var constants = require("./constants");

function postAppEvent(type, data, app, auth, stage) {
  fetch((stage === "production" ? constants.LAMBDA_SERVICES_URL_PRODUCTION : constants.LAMBDA_SERVICES_URL_STAGING) + "/app-event", {
    method: "POST",
    body: JSON.stringify({
      event: {
        type: type,
        data: data
      },
      app: app,
      auth: auth
    })
  });
}

module.exports = postAppEvent;